image: continuumio/miniconda3

stages:          
  - build

pages:       
  stage: build
  script:
    - conda env create -f environment.yml
    - conda init bash
    - source ~/.bashrc   
    - conda activate envDoc_IM
    - echo "Compiling jupyter book"
    - jupyter-book build .
    - echo "Compile complete."
    - cp -r _build/html/. public
  artifacts:
    paths:
      - public
  only:
    - main
